{"openapi":"3.0.0","info":{"title":"SalaryPaymentWorkflowAPI","version":"v1"},"paths":{"/api/payments/values":{"get":{"tags":["Payments"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/payments":{"get":{"tags":["Payments"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowResource"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Payments"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"application/json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"text/json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowResource"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/payments/search":{"post":{"tags":["Payments"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPaymentResource"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPaymentResource"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPaymentResource"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPaymentResource"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowResource"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/payments/{paymentId}":{"get":{"tags":["Payments"],"parameters":[{"name":"paymentId","in":"path","required":true,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Payments"],"parameters":[{"name":"paymentId","in":"path","required":true,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"application/json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"text/json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SavePaymentResource"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowResource"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"delete":{"tags":["Payments"],"parameters":[{"name":"paymentId","in":"path","required":true,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowResource"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/tests/testsemail":{"get":{"tags":["Test"],"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/tests/testpaymentinfos":{"get":{"tags":["Test"],"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/tests/testsusersforrole":{"get":{"tags":["Test"],"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/workflow/{organizationId}":{"get":{"tags":["Workflow"],"parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BaseLevelResource"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/workflow/save":{"post":{"tags":["Workflow"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}},"application/json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}},"text/json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/workflow/validate":{"post":{"tags":["Workflow"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SaveValidationResource"}},"application/json":{"schema":{"$ref":"#/components/schemas/SaveValidationResource"}},"text/json":{"schema":{"$ref":"#/components/schemas/SaveValidationResource"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SaveValidationResource"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveWorkflowResource"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResource"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}}},"components":{"schemas":{"OrgRole":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"roleId":{"type":"string"},"baseLevelId":{"type":"integer","format":"int32"},"baseLevel":{"$ref":"#/components/schemas/BaseLevel"}},"additionalProperties":false},"BaseLevel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"string"},"level":{"type":"string"},"validationUsers":{"type":"array","items":{"$ref":"#/components/schemas/AppUser"}},"validationRoles":{"type":"array","items":{"$ref":"#/components/schemas/OrgRole"}}},"additionalProperties":false},"AppUser":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"userId":{"type":"string"},"baseLevelId":{"type":"integer","format":"int32"},"baseLevel":{"$ref":"#/components/schemas/BaseLevel"}},"additionalProperties":false},"BaseLevelResource":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"organizationId":{"type":"string"},"level":{"type":"integer","format":"int32"},"validationUsers":{"type":"array","items":{"$ref":"#/components/schemas/AppUser"}},"validationRoles":{"type":"array","items":{"$ref":"#/components/schemas/OrgRole"}}},"additionalProperties":false},"WorkflowResource":{"required":["levels","organizationId"],"type":"object","properties":{"organizationId":{"type":"string"},"levels":{"type":"array","items":{"$ref":"#/components/schemas/BaseLevelResource"}}},"additionalProperties":false},"SavePaymentResource":{"required":["organizationId","userId"],"type":"object","properties":{"organizationId":{"type":"string"},"userId":{"type":"string"},"paymentId":{"type":"string"}},"additionalProperties":false},"ErrorResource":{"type":"object","properties":{"success":{"type":"boolean","readOnly":true},"messages":{"type":"array","items":{"type":"string"},"readOnly":true}},"additionalProperties":false},"Validation":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"decision":{"type":"string"},"validationDate":{"type":"string","format":"date-time"},"comment":{"type":"string"},"deltaValidation":{"type":"integer","format":"int32"},"validationUserId":{"type":"string"},"validationUsername":{"type":"string"},"validationUserEmail":{"type":"string"},"validationUserLanguage":{"type":"string"},"level":{"type":"string"},"paymentId":{"type":"string"},"paymentKey":{"type":"integer","format":"int32"},"payment":{"$ref":"#/components/schemas/Payment"}},"additionalProperties":false},"OrgLevelRole":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"roleId":{"type":"string"},"validationLevelId":{"type":"integer","format":"int32"},"validationLevel":{"$ref":"#/components/schemas/ValidationLevel"}},"additionalProperties":false},"AppLevelUser":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"userId":{"type":"string"},"validationLevelId":{"type":"integer","format":"int32"},"validationLevel":{"$ref":"#/components/schemas/ValidationLevel"}},"additionalProperties":false},"ValidationLevel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"decision":{"type":"string"},"rejectionReason":{"type":"string"},"validationDate":{"type":"string","format":"date-time"},"comment":{"type":"string"},"deltaValidation":{"type":"integer","format":"int32"},"validationUserId":{"type":"string"},"validationUsername":{"type":"string"},"validationUserEmail":{"type":"string"},"validationUserLanguage":{"type":"string"},"validationRoles":{"type":"array","items":{"$ref":"#/components/schemas/OrgLevelRole"}},"validationUsers":{"type":"array","items":{"$ref":"#/components/schemas/AppLevelUser"}},"level":{"type":"string"},"paymentId":{"type":"string"},"paymentKey":{"type":"integer","format":"int32"},"organizationId":{"type":"string"},"payment":{"$ref":"#/components/schemas/Payment"}},"additionalProperties":false},"Payment":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"paymentId":{"type":"string"},"organizationId":{"type":"string"},"userId":{"type":"string"},"userName":{"type":"string"},"userEmail":{"type":"string"},"userPhoneNumber":{"type":"string"},"exchangKey":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"status":{"type":"string"},"description":{"type":"string"},"payerMsisdn":{"type":"string"},"amount":{"type":"string"},"nbPayee":{"type":"string"},"validationsHistory":{"type":"array","items":{"$ref":"#/components/schemas/Validation"}},"validationLevel":{"type":"array","items":{"$ref":"#/components/schemas/ValidationLevel"}}},"additionalProperties":false},"SearchPaymentResource":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"},"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"},"organizationId":{"type":"string"},"userId":{"type":"string"},"previousPage":{"type":"string"},"nextPage":{"type":"string"},"userRoles":{"type":"array","items":{"type":"string"}},"payments":{"type":"array","items":{"$ref":"#/components/schemas/Payment"}},"key":{"type":"string"}},"additionalProperties":false},"PaymentResource":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"userName":{"type":"string"},"organizationId":{"type":"string"},"userId":{"type":"string"},"paymentId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"status":{"type":"string"},"userEmail":{"type":"string"},"payerMsisdn":{"type":"string"},"description":{"type":"string"},"amount":{"type":"string"},"nbPayee":{"type":"string"},"userPhoneNumber":{"type":"string"},"validationsHistory":{"type":"array","items":{"$ref":"#/components/schemas/Validation"}},"validationLevel":{"type":"array","items":{"$ref":"#/components/schemas/ValidationLevel"}}},"additionalProperties":false},"SaveBaseLevelResource":{"type":"object","properties":{"level":{"type":"string"},"validationUsers":{"type":"array","items":{"$ref":"#/components/schemas/AppUser"}},"validationRoles":{"type":"array","items":{"$ref":"#/components/schemas/OrgRole"}}},"additionalProperties":false},"SaveWorkflowResource":{"required":["levels","organizationId"],"type":"object","properties":{"organizationId":{"type":"string"},"levels":{"type":"array","items":{"$ref":"#/components/schemas/SaveBaseLevelResource"}}},"additionalProperties":false},"SaveValidationResource":{"required":["decision"],"type":"object","properties":{"decision":{"type":"string"},"comment":{"type":"string"},"paymentId":{"type":"string"},"organizationId":{"type":"string"}},"additionalProperties":false}},"securitySchemes":{"default":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://apiw.orange.cm/authorize","scopes":{}}}}}},"servers":[{"url":"https://apiw.orange.cm/salary-payment/workflow-apis/v1"},{"url":"http://apiw.orange.cm/salary-payment/workflow-apis/v1"}]}